paramiko (4.0.0-1ubuntu2) resolute; urgency=medium

  * d/p/reduce-fixture-scope.patch: fix threads failure on armhf
    when running tests (LP: #2141717)

 -- Simon Poirier <simon.poirier@canonical.com>  Thu, 12 Feb 2026 19:53:39 -0500

paramiko (4.0.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130125). Remaining changes:
    - d/control: Demote python3-invoke to Suggests
    - d/p/fips-x25519-fix.patch: Fix error in FIPS mode with X25519
      isSupported check (LP #2072974).
    Dropped changes:
    - debian/patches/disable_flaky_test.patch: disable flaky
      test_sequence_numbers_reset_on_newkeys_when_strict test.

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 27 Jan 2026 14:32:35 -0500

paramiko (4.0.0-1) unstable; urgency=low

  * New upstream version 4.0.0
  * Add d/NEWS to document the removal of DSA support

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Thu, 04 Sep 2025 08:51:53 -0300

paramiko (3.5.1-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2119002). Remaining changes:
    - debian/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion
    - debian/patches/disable_flaky_test.patch: disable flaky test
      test_sequence_numbers_reset_on_newkeys_when_strict test.
    - debian/patch/fips-x25519-fix.patch: Fix error in FIPS mode with X25519
      isSupported check (LP #2072974).

 -- John Chittum <john.chittum@canonical.com>  Tue, 29 Jul 2025 08:24:19 -0400

paramiko (3.5.1-3) unstable; urgency=medium

  * Team upload.
  * Fixed version parsing issue with OpenSSH >= 10.0 (closes: #1108434).

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2025 09:09:25 +0200

paramiko (3.5.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion
    - debian/patches/disable_flaky_test.patch: disable flaky
      test_sequence_numbers_reset_on_newkeys_when_strict test.
    - debian/patch/fips-x25519-fix.patch: Fix error in FIPS mode with X25519
      isSupported check (LP: #2072974).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 01:27:09 -0600

paramiko (3.5.1-2) unstable; urgency=medium

  * Team upload.
  * Ignore host keys with markers (Closes: #1096078)

 -- Timo Röhling <roehling@debian.org>  Mon, 17 Feb 2025 22:52:38 +0100

paramiko (3.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.1

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 14:38:58 +0100

paramiko (3.5.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion
    - debian/patches/disable_flaky_test.patch: disable flaky
      test_sequence_numbers_reset_on_newkeys_when_strict test.
    - debian/patch/fips-x25519-fix.patch: Fix error in FIPS mode with X25519
      isSupported check (LP: #2072974).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 23:13:00 -0600

paramiko (3.5.0-1) unstable; urgency=low

  * Upload to unstable

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 20 Jan 2025 17:22:45 -0500

paramiko (3.5.0-1~exp1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * remove obsolete ref. to Python2

  [ Santiago Ruano Rincón ]
  * New upstream version 3.5.0

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 30 Dec 2024 21:36:50 -0500

paramiko (3.4.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion
    - debian/patches/disable_flaky_test.patch: disable flaky
      test_sequence_numbers_reset_on_newkeys_when_strict test.
    - debian/patch/fips-x25519-fix.patch: Fix error in FIPS mode with X25519
      isSupported check (LP: #2072974).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 15:27:33 -0600

paramiko (3.4.1-2) unstable; urgency=medium

  * Team upload.
  * Fix ed25519 as used by duplicity (Closes: #1071675)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Sep 2024 16:40:57 +0200

paramiko (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * Remove upstream patches no longer needed

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sun, 25 Aug 2024 18:44:18 -0300

paramiko (3.4.0-2) unstable; urgency=medium

  * Team upload
  * Remove dependency on python3-mock
  * Add dependency on python3-pytest-relaxed, it is now packaged
  * Use dh-sequence-python3
  * Disable one flaky test (Closes: #1070765)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Aug 2024 19:46:21 +0200

paramiko (3.4.0-1ubuntu2) plucky; urgency=medium

  * Fix error in FIPS mode with X25519 isSupported check (LP: #2072974)
    - debian/patch/fips-x25519-fix.patch

 -- Eric Berry <eric.berry@canonical.com>  Wed, 30 Oct 2024 08:51:54 -0400

paramiko (3.4.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2066061):
      - d/control: Demote python3-invoke from Recommends to Suggests as
        the python-invoke package lacks unit test execution so is not suitable
        for main inclusion
      - debian/patches/disable_flaky_test.patch: disable flaky
        test_sequence_numbers_reset_on_newkeys_when_strict test.
    Dropped changes:
      - SECURITY UPDATE: Prefix truncation attack on BPP
        - debian/patches/CVE-2023-48795-*.patch: implement strict key
          exchange.
        - CVE-2023-48795
        Dropped because these patches are applied upstream
      - debian/patches/remove_six.patch : removed because already upstreamed
      - debian/patches/fix_test_on_armhf.patch : removed because not applicable
        since the tests/test_transport.py has been changed upstreamed

 -- Hector Cao <hector.cao@canonical.com>  Fri, 17 May 2024 19:12:44 +0200

paramiko (3.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.4.0 (Closes: #1039443, #1060963)
    - Fix Terrapin MitM attack (CVE-2023-48795) (Closes: #1059006)
  * Add debian/salsa-ci.yml
  * Update debian/patches/remove_pytest_relaxed.patch
  * Add python3-icecream to build-dependencies
  * Fix nose deprecation errors produced by pytest. Patch:
    0001-Use-pytest-s-setup_method-in-pytest-8-the-nose-metho.patch
  * Fix 32-bit-ism in protocol seqno rollover test from Terrapin fix. Patch
    from upstream
  * Add myself to Uploaders

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Fri, 03 May 2024 07:10:06 -0300

paramiko (2.12.0-3) unstable; urgency=medium

  * remove myself

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 01:25:38 -0500

paramiko (2.12.0-2ubuntu4) noble; urgency=medium

  * debian/patches/fix_test_on_armhf.patch: fix test failing on armhf.
  * debian/patches/disable_flaky_test.patch: disable flaky
    test_sequence_numbers_reset_on_newkeys_when_strict test.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Jan 2024 09:18:51 -0500

paramiko (2.12.0-2ubuntu3) noble; urgency=medium

  * debian/patches/remove_six.patch: remove last use of six to fix FTBFS.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 12 Jan 2024 10:11:46 -0500

paramiko (2.12.0-2ubuntu2) noble; urgency=medium

  * SECURITY UPDATE: Prefix truncation attack on BPP
    - debian/patches/CVE-2023-48795-*.patch: implement strict key
      exchange.
    - CVE-2023-48795

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Jan 2024 08:56:18 -0500

paramiko (2.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 17 Feb 2023 09:35:50 +0000

paramiko (2.12.0-2) unstable; urgency=medium

  * Run autopkgtests via autopkgtest-pkg-pybuild

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Dec 2022 20:07:23 -0500

paramiko (2.12.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/
    - refresh, remove patches merged upstream
  * debian/control
    - bump Standards-Version to 4.6.1.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Dec 2022 14:09:43 -0500

paramiko (2.10.4-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 16 May 2022 17:12:00 +0200

paramiko (2.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch that is included upstream.
  * Drop upstream signing key. The release tarballs on GitHub are not signed.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 16 May 2022 09:42:31 +0200

paramiko (2.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix CVE-2022-24302 (Closes: #1008012)
    - Add support for SHA-2 variants of RSA key verification algorithms
      to support openssh >= 8.8p1-1 (Closes: #1007168, LP: #1961979)
  * Refresh PR1942.patch
  * Fix spelling mistake of distributed
  * Drop unused source-is-missing lintian override
  * Ignore very-long-line-length-in-source-file lintian alert
  * Update debian/copyright
  * d/p/thread-setdaemon-deprecation.patch: patch out a deprecation warning
    with Python 3.10 (LP: #1959095)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 12 Apr 2022 16:40:12 +0200

paramiko (2.9.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1968730).
    - Add support for SHA-2 variants of RSA key verification algorithms
      to support openssh >= 8.8p1-1 (Closes: #1007168, LP: #1961979)
  * Refresh patches.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 12 Apr 2022 16:26:58 +0200

paramiko (2.8.1-1ubuntu3) jammy; urgency=medium

  * SECURITY UPDATE: race condition in write_private_key_file
    - debian/patches/CVE-2022-24302.patch: create file with proper
      permissions in paramiko/pkey.py, tests/test_pkey.py.
    - CVE-2022-24302

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Mar 2022 09:21:29 -0400

paramiko (2.8.1-1ubuntu2) jammy; urgency=medium

  * d/p/thread-setdaemon-deprecation.patch: patch out a deprecation warning
    with Python 3.10 (LP: #1959095)

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 26 Jan 2022 11:35:18 +0100

paramiko (2.8.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Dec 2021 10:35:06 +0000

paramiko (2.8.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/PR1942.patch
    - add upstream PR to fix test_sftp.py failures
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Dec 2021 01:27:04 -0500

paramiko (2.8.0-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion.

 -- James Page <james.page@ubuntu.com>  Wed, 27 Oct 2021 16:18:44 +0100

paramiko (2.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - track github releases
  * debian/gbp.conf
    - remove gbp.conf file
  * debian/patches/remove_pytest_relaxed.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Fri, 15 Oct 2021 13:33:52 -0400

paramiko (2.7.2-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion.

 -- James Page <james.page@ubuntu.com>  Thu, 29 Oct 2020 14:34:26 +0000

paramiko (2.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Rebase patches.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Set Rules-Requires-Root: no.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 02 Sep 2020 10:33:40 +0200

paramiko (2.7.1-2ubuntu1) groovy; urgency=medium

  * d/control: Demote python3-invoke from Recommends to Suggests as
    the python-invoke package lacks unit test execution so is not suitable
    for main inclusion (LP: #1892875).

 -- James Page <james.page@ubuntu.com>  Thu, 03 Sep 2020 09:40:05 +0100

paramiko (2.7.1-2) unstable; urgency=medium

  * debian/rules
    - run tests at build-time
  * debian/control
    - add mock, invoke to b-d, needed by tests
    - wrap-and-sort
    - bump Standards-Version to 4.5.0 (no changes needed)
  * debian/patches/add-tests-configs-directory.patch
    - add tests/configs directory, needed to run successfully the test suite,
      patch by Cesar Tulio Albuquerque de Almeida
  * debian/tests/control
    - install build-depends packages when running autopkgtests; Closes: #960899

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2020 01:18:03 -0400

paramiko (2.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstrem release (Closes: #955473)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 11 May 2020 21:49:58 -0400

paramiko (2.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937238

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jan 2020 19:39:19 -0500

paramiko (2.6.0-1) unstable; urgency=medium

  * New upstream release; Closes: #924178, #851474, #892860
  * Acknowledge NMU: Closes: #892859, #904635
  * debian/control
    - move under DPMT umbrella (with current maintainers blessing)
    - bump b-d on cryptograpy to >= 2.5
    - drop obsolete X-Python*-Version fields
    - bump Standards-Version to 4.4.0 (no changes needed)
    - update Vcs-* fields to point to DPMT repo
    - update long description; Closes: #766893
  * debian/copyright
    - convert to machine-parsable format
    - add myself to copyright (previous contributions were not mentioned)
    - update to new upstream release
  * debian/patches/remove_pytest_relaxed.patch
    - refresh patch
  * debian/source/lintian-overrides
    - update for new jquery.js

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Aug 2019 18:43:04 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog paramiko-doc`.
